Bug 850763 - nouveau has broken after kernel update 3.5.x
nouveau has broken after kernel update 3.5.x
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 07:43 EDT by Alexei Panov
Modified: 2012-10-13 08:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-13 08:45:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with drm.debug=0x04 (224.33 KB, text/plain)
2012-08-22 07:43 EDT, Alexei Panov
no flags Details
Xorg.0.log (47.84 KB, application/octet-stream)
2012-08-22 07:44 EDT, Alexei Panov
no flags Details
lspci -kvvv (26.90 KB, text/plain)
2012-08-22 07:44 EDT, Alexei Panov
no flags Details

  None (edit)
Description Alexei Panov 2012-08-22 07:43:49 EDT
Created attachment 606202 [details]
dmesg with drm.debug=0x04

Description of problem:
After update kernel 3.5.0 (and later) nouveau doesn't work in X.
In text terminal all works fine.

Version-Release number of selected component (if applicable):
kernel-3.5.2-1.fc17.x86_64
xorg-x11-drv-nouveau-0.0.16-37.20120306gitf5d1cd2.fc17.x86_64
xorg-x11-server-Xorg-1.12.3-1.fc17.x86_64


How reproducible:
All time

Steps to Reproduce:
Get video adapter Nvidia GTX 560 (nVidia Corporation Device [10de:1201] (rev a1)). Boot system with it on Fedora 17 with all current updates. 
  
Actual results:
X doesn't start.

Expected results:
All works fine.

Additional info:
Comment 1 Alexei Panov 2012-08-22 07:44:25 EDT
Created attachment 606203 [details]
Xorg.0.log
Comment 2 Alexei Panov 2012-08-22 07:44:51 EDT
Created attachment 606204 [details]
lspci -kvvv
Comment 3 Alexei Panov 2012-08-31 17:22:35 EDT
It seems to me that a bug in the kernel. I've checked.
With the kernel 3.4.6-4.fc17.x86_64 nouveau driver works.
Comment 4 Alexei Panov 2012-09-25 07:23:10 EDT
Kernel 3.6.0-0.rc6.git0.2.fc18 (Fedora Test Day 2012/09/25) my card is works.
I've checked with current kernel in Fedora 17 (3.5.4). Videoadapter doesn't work.
Comment 5 Alexei Panov 2012-10-12 07:02:53 EDT
I think you may close this bug.
In new kernel 3.6.1-1 video card works fine.
Thanks.
Comment 6 Josh Boyer 2012-10-13 08:45:18 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.